Compare
Compare two instances and show the difference between them.
Please enter token
Name of the application to integrates with API’s to Semansys.Next.
Contract owner (organization) name that have embedded the API’s.
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
Customer (organization) name (ie. accounting firm, intermediary, ....).
Business Identification Number (BIN) of the customer.
Client (organization) name of the customer of the accounting firm, intermediary...
Business Identification Number (BIN) of the client.
OK
The type of validation performed onto the XBRL instances.
CompareThe result from the comparison indicating whether differences were found or not.
Differences found.Comparison report in HTML format.
base64 contentBad Request
Unauthorized
POST /instance/compare HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"filesToBeCompared": {
"master": "base64 content",
"child": "base64 content"
}
}{
"validationType": "Compare",
"compareResult": "Differences found.",
"messages": [
{
"category": "text",
"type": "text",
"messageText": "text",
"pair": {
"first": {
"arcRole": "text",
"contextId": "text",
"contextRef": "text",
"continuationFrom": "text",
"decimals": "text",
"dimensionDetailsList": [
{
"dimensionName": "text",
"member": "text",
"dimensionType": "text"
}
],
"endDate": "text",
"escape": "text",
"extendedXLinkType": "text",
"factName": "text",
"factValue": "text",
"footnoteId": "text",
"footnoteRefs": "text",
"footnoteValue": [
"text"
],
"footnoteRole": "text",
"format": "text",
"fromRefs": "text",
"id": "text",
"identifierContent": "text",
"identifierScheme": "text",
"instantDate": "text",
"linkRole": "text",
"measurement": "text",
"name": "text",
"order": "text",
"periodType": "text",
"precision": "text",
"scale": "text",
"sign": "text",
"startDate": "text",
"target": "text",
"title": "text",
"toRefs": "text",
"tupleID": "text",
"tupleRef": "text",
"unitId": "text",
"unitRef": "text",
"source": "text",
"elementType": 0,
"taxonomyUri": "text",
"namespaceUri": "text",
"namespacePrefix": "text"
},
"second": {
"arcRole": "text",
"contextId": "text",
"contextRef": "text",
"continuationFrom": "text",
"decimals": "text",
"dimensionDetailsList": [
{
"dimensionName": "text",
"member": "text",
"dimensionType": "text"
}
],
"endDate": "text",
"escape": "text",
"extendedXLinkType": "text",
"factName": "text",
"factValue": "text",
"footnoteId": "text",
"footnoteRefs": "text",
"footnoteValue": [
"text"
],
"footnoteRole": "text",
"format": "text",
"fromRefs": "text",
"id": "text",
"identifierContent": "text",
"identifierScheme": "text",
"instantDate": "text",
"linkRole": "text",
"measurement": "text",
"name": "text",
"order": "text",
"periodType": "text",
"precision": "text",
"scale": "text",
"sign": "text",
"startDate": "text",
"target": "text",
"title": "text",
"toRefs": "text",
"tupleID": "text",
"tupleRef": "text",
"unitId": "text",
"unitRef": "text",
"source": "text",
"elementType": 0,
"taxonomyUri": "text",
"namespaceUri": "text",
"namespacePrefix": "text"
}
}
}
],
"htmlContent": "base64 content"
}Was this helpful?